This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 513377 - RFE: include metadata download progress callbacks in repoquery
RFE: include metadata download progress callbacks in repoquery
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-23 07:56 EDT by Ralf Corsepius
Modified: 2014-01-21 18:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:47:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2009-07-23 07:56:26 EDT
Description of problem:

repoquery issues a warning about some repomd.xml, while yum doesn't:

[root@beck x86_64]# yum update
...
Finished
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package vlc.x86_64 0:1.0.0-1.fc11 set to be updated
--> Processing Dependency: qt-x11(x86-64) >= 1:4.5.2 for package: vlc-1.0.0-1.fc11.x86_64
---> Package vlc-core.x86_64 0:1.0.0-1.fc11 set to be updated
--> Finished Dependency Resolution
vlc-1.0.0-1.fc11.x86_64 from rpmfusion-free-updates has depsolving problems
  --> Missing Dependency: qt-x11(x86-64) >= 1:4.5.2 is needed by package vlc-1.0.0-1.fc11.x86_64 (rpmfusion-free-updates)
Error: Missing Dependency: qt-x11(x86-64) >= 1:4.5.2 is needed by package vlc-1.0.0-1.fc11.x86_64 (rpmfusion-free-updates)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest

[root@beck x86_64]# repoquery 'qt-x11'
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Thu Jul 23 07:48:06 2009
  Downloaded: Wed Jul 22 17:30:21 2009
qt-x11-1:4.5.1-13.fc11.i586
qt-x11-1:4.5.1-13.fc11.x86_64


Version-Release number of selected component (if applicable):
yum-utils-1.1.22-1.fc11.noarch

Actual results:
c.f. above.

Expected results:
1. both tools to exhibit consistent behavior.

2. repoquery (rsp. whatever module underneath might be in charge) to raise a better warning, e.g. one indicating which repomd.xml (rsp. repository) might be affected. The current warning is not helpful.

Additional info:
I would assume this behavior to originate from yum (or yum-metadata-parser) not to be able to cope with the broken repos, yesterday's push of updates has caused.
Comment 1 James Antill 2009-07-23 16:18:47 EDT
Yum will issue the warning if it sees that (it only happens when checking the repos.).
 The thing is yum will output progress for what repo MD is downloaded, while repoquery doesn't ... Personally I think the fix should be to hookup the progress callbacks in repoquery.
 Also you can do "yum repolist -v" and look for which one has the timestamp, if you need to know for some reason.
Comment 2 Bug Zapper 2010-04-27 11:52:13 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 09:47:30 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.